<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.18                                                  |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2016 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Patch #4                                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Core
 * @copyright (C) 2002-2016 Esselbach Internet Solutions
 */

/**
 * function AdminDoManageForumIntegration
 * A function to write the configuration of the forum integration to the database
 * @author Philipp Louis Esselbach
 */
function AdminDoManageForumIntegration()
{
	global $security, $database, $preferences, $system, $html, $words_core, $ipaddr, $login_username, $config;
	$input_website_uwrapper_product = ( isset( $_POST[ 'input_website_uwrapper_product' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_product' ] ) : "" ;

	$input_website_uwrapper_cookieprefix = ( isset( $_POST[ 'input_website_uwrapper_cookieprefix' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_cookieprefix' ] ) : "" ;
	$input_website_uwrapper_cookiepath = ( isset( $_POST[ 'input_website_uwrapper_cookiepath' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_cookiepath' ] ) : "" ;
	$input_website_uwrapper_cookiedomain = ( isset( $_POST[ 'input_website_uwrapper_cookiedomain' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_cookiedomain' ] ) : "" ;

	if( preg_match( "/SMF|3rd", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_cookiename = ( isset( $_POST[ 'input_website_uwrapper_cookiename' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_cookiename' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_cookiename = "";
	}

	if( preg_match( "/vBulletin|XenForo|IP\.Board|phpBB|SMF|WBB|3rd/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_group1 = ( isset( $_POST[ 'input_website_uwrapper_group1' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_group1' ] ) : "" ;
		$input_website_uwrapper_group2 = ( isset( $_POST[ 'input_website_uwrapper_group2' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_group2' ] ) : "" ;
		$input_website_uwrapper_group3 = ( isset( $_POST[ 'input_website_uwrapper_group3' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_group3' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_group1 = "";
		$input_website_uwrapper_group2 = "";
		$input_website_uwrapper_group3 = "";
	}

	if( preg_match( "/vBulletin|SMF|WBB|3rd/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_group4 = ( isset( $_POST[ 'input_website_uwrapper_group4' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_group4' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_group4 = "";
	}

	if( preg_match( "/vBulletin|IP\.Board|SMF|WBB|3rd/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_group5 = ( isset( $_POST[ 'input_website_uwrapper_group5' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_group5' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_group5 = "";
	}

	if( preg_match( "/vBulletin|XenForo|IP\.Board|phpBB|SMF|WBB|3rd/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_group6 = ( isset( $_POST[ 'input_website_uwrapper_group6' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_group6' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_group6 = "";
	}

	if( preg_match( "/vBulletin|XenForo/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_customer = ( isset( $_POST[ 'input_website_uwrapper_customer' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_customer' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_customer = "";
	}

	if( preg_match( "/vBulletin|UBB\.threads|IP\.Board|phpBB|SMF|WBB|3rd/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_prefix = ( isset( $_POST[ 'input_website_uwrapper_prefix' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_prefix' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_prefix = "";
	}

	if( preg_match( "/UBB\.threads|IP\.Board|phpBB|SMF|WBB|3rd/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_forumpath = ( isset( $_POST[ 'input_website_uwrapper_forumpath' ] ) ) ? $security -> checkvar( $system -> trimpath( $_POST[ 'input_website_uwrapper_forumpath' ] ) ) : "" ;
	}
	else
	{
		$input_website_uwrapper_forumpath = "";
	}

	if( preg_match( "/vBulletin|XenForo|UBB\.threads|IP\.Board|phpBB|SMF|WBB|3rd/i", $input_website_uwrapper_product ) )
	{
		$input_website_uwrapper_db_hostname = ( isset( $_POST[ 'input_website_uwrapper_db_hostname' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_db_hostname' ] ) : "" ;
		$input_website_uwrapper_db_username = ( isset( $_POST[ 'input_website_uwrapper_db_username' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_db_username' ] ) : "" ;
		$input_website_uwrapper_db_password = ( isset( $_POST[ 'input_website_uwrapper_db_password' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_db_password' ] ) : "" ;
		$input_website_uwrapper_db_database = ( isset( $_POST[ 'input_website_uwrapper_db_database' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_db_database' ] ) : "" ;
		$input_website_uwrapper_loginname = ( isset( $_POST[ 'input_website_uwrapper_loginname' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_loginname' ] ) : "" ;
		$input_website_uwrapper_embed = ( isset( $_POST[ 'input_website_uwrapper_embed' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_embed' ] ) : "" ;
		$input_website_uwrapper_embed_alt = ( isset( $_POST[ 'input_website_uwrapper_embed_alt' ] ) ) ? $security -> checkvar( $_POST[ 'input_website_uwrapper_embed_alt' ] ) : "" ;
	}
	else
	{
		$input_website_uwrapper_forumpath = "";
		$input_website_uwrapper_db_hostname = "";
		$input_website_uwrapper_db_username = "";
		$input_website_uwrapper_db_password = "";
		$input_website_uwrapper_db_database = "";
		$input_website_uwrapper_loginname = "";
		$input_website_uwrapper_embed = "";
		$input_website_uwrapper_embed_alt = "";
	}

	$input_zid = ( isset( $_POST[ 'input_zid' ] ) ) ? $security -> checknum( $_POST[ 'input_zid' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_core[ 'ERROR' ], $words_core[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}

	$input_website_uwrapper_product = str_replace( "+", " ", $input_website_uwrapper_product );

	if( !preg_match( "/Contentteller|3rd/i", $input_website_uwrapper_product ) )
	{
		if( $input_website_uwrapper_db_username )
		{
			$database -> dbclose();
			$sec_db_link = @mysqli_connect( $input_website_uwrapper_db_hostname, $input_website_uwrapper_db_username, $input_website_uwrapper_db_password, $input_website_uwrapper_db_database );
		}

		if( $input_website_uwrapper_product == "vBulletin 3.8" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT userid FROM " . $input_website_uwrapper_prefix . "user" );
		}
		elseif( $input_website_uwrapper_product == "vBulletin 4" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT userid FROM " . $input_website_uwrapper_prefix . "user" );
		}
		elseif( $input_website_uwrapper_product == "vBulletin 5" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT userid FROM " . $input_website_uwrapper_prefix . "user" );
		}
		elseif( $input_website_uwrapper_product == "XenForo" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT user_id FROM xf_user" );
		}
		elseif( $input_website_uwrapper_product == "UBB.threads 7" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT USER_ID FROM " . $input_website_uwrapper_prefix . "USERS" );
		}
		elseif( $input_website_uwrapper_product == "IP.Board 3" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT member_id FROM " . $input_website_uwrapper_prefix . "members" );
		}
		elseif( $input_website_uwrapper_product == "phpBB 3" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT user_id FROM " . $input_website_uwrapper_prefix . "users" );
		}
		elseif( $input_website_uwrapper_product == "SMF 1.1" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT ID_MEMBER FROM " . $input_website_uwrapper_prefix . "members" );
		}
		elseif( $input_website_uwrapper_product == "SMF 2" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT id_member FROM " . $input_website_uwrapper_prefix . "members" );
		}
		elseif( $input_website_uwrapper_product == "WBB 3" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT userID FROM wcf1_user" );
		}
		elseif( $input_website_uwrapper_product == "WBB 4" )
		{
			$bbquery = @mysqli_query( $sec_db_link, "SELECT userID FROM wcf1_user" );
		}

		$test = @mysqli_num_rows( $bbquery );

		if( $input_website_uwrapper_db_username or $input_website_uwrapper_db_database )
		{
			@mysqli_close( $sec_db_link );
			$database -> dbconnect();
		}
	}
	else
	{
		$test = 1;
	}

	if( !$test )
	{
		$html -> error( $words_core[ 'ERROR' ], $words_core[ 'INVALID_SETTINGS' ] . "<br /><br /><a href=\"javascript:history.go(-1)\">" . $words_core[ 'RETURN_TO_PREVIOUS' ] . "</a>", 1 );
	}
	else
	{
		if( !$preferences[ 'product_demo' ] )
		{
			if( $input_website_uwrapper_product == "vBulletin 3.8" or $input_website_uwrapper_product == "vBulletin 4" or $input_website_uwrapper_product == "vBulletin 5" )
			{
				$smilies = array();

				if( $input_website_uwrapper_db_username )
				{
					$database -> dbclose();
					$sec_db_link = @mysqli_connect( $input_website_uwrapper_db_hostname, $input_website_uwrapper_db_username, $input_website_uwrapper_db_password, $input_website_uwrapper_db_database );
				}

				$query = @mysqli_query( $sec_db_link, "SELECT value FROM " . $input_website_uwrapper_prefix . "setting WHERE varname = 'bburl'" );
				list( $input_website_uwrapper_forumpath ) = @mysqli_fetch_row( $query );

				if( $input_website_uwrapper_product == "vBulletin 5" )
				{
					$input_website_uwrapper_forumpath .= "/";
				}

				$query = @mysqli_query( $sec_db_link, "SELECT title, smilietext, smiliepath FROM " . $input_website_uwrapper_prefix . "smilie" );
				while( list( $title, $smilie_text, $image_url ) = @mysqli_fetch_row( $query ) )
				{
					$smilies[] = $title . "|^Z|" . $smilie_text . "|^Z|" . $image_url;
				}
				if( $input_website_uwrapper_db_username )
				{
					@mysqli_close( $sec_db_link );
					$database -> dbconnect();
				}

				foreach( $smilies as $smilie )
				{
					list( $title, $smilie, $image_url ) = explode( "|^Z|", $smilie );
					$query = $database -> dbquery( "SELECT smilie_id FROM " . DB_PREFIX . "esselbach_ct_smilies WHERE smilie_command = '" . $database -> dbescape( $smilie ) . "' OR smilie_command = '" . $database -> dbescape( " " . $smilie ) . "' LIMIT 1" );
					if( $database -> dbrows( $query ) )
					{
						list( $smilie_id ) = $database -> dbrow( $query );
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_name = '" . $database -> dbescape( $title ) . "', smilie_active = '1', smilie_command = '" . $database -> dbescape( $smilie ) . "', smilie_image = '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/" . $image_url ) . "', smilie_editadmin = '" . $login_username . "', smilie_editip = '" . $ipaddr . "' WHERE smilie_id = '" . $smilie_id . "'" );
					}
					else
					{
						$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_smilies (smilie_id, smilie_active, smilie_name, smilie_command, smilie_image, smilie_position, smilie_editadmin, smilie_postip, smilie_editip) VALUES (NULL, '1', '" . $database -> dbescape( $title ) . "', '" . $database -> dbescape( $smilie ) . "', '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/" . $image_url ) . "', '0', '" . $login_username . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
						$input_smilieid = $database -> dblastinsert();
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_position = '" . $input_smilieid . "' WHERE smilie_id = '" . $input_smilieid . "'" );
					}
				}

				if( $input_website_uwrapper_product == "vBulletin 5" )
				{
					$input_website_uwrapper_forumpath = str_replace( "core/", "", $input_website_uwrapper_forumpath );
				}
			}
			elseif( $input_website_uwrapper_product == "XenForo" )
			{
				$smilies = array();

				if( $input_website_uwrapper_db_username )
				{
					$database -> dbclose();
					$sec_db_link = @mysqli_connect( $input_website_uwrapper_db_hostname, $input_website_uwrapper_db_username, $input_website_uwrapper_db_password, $input_website_uwrapper_db_database );
				}

				$query = @mysqli_query( $sec_db_link, "SELECT option_value FROM xf_option WHERE option_id = 'boardUrl'" );
				list( $input_website_uwrapper_forumpath ) = @mysqli_fetch_row( $query );

				$result = @mysqli_query( $sec_db_link, "SELECT smilie_id FROM xf_smilie WHERE sprite_mode = '1'" );
				if( @mysqli_num_rows( $result ) )
				{
					$query = @mysqli_query( $sec_db_link, "SELECT title, smilie_text FROM xf_smilie WHERE sprite_mode = '1'" );
					while( list( $title, $smilie_text ) = @mysqli_fetch_row( $query ) )
					{
						$smilie_text_array = explode( "\n", $smilie_text );
						foreach ( $smilie_text_array as $smilie )
						{
							if( $title == "Smile" )
							{
								$smilies[] = "Smile" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/smile.png";
							}
							elseif( $title == "Wink" )
							{
								$smilies[] = "Wink" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/wink.png";
							}
							elseif( $title == "Frown" )
							{
								$smilies[] = "Frown" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/frown.png";
							}
							elseif( $title == "Mad" )
							{
								$smilies[] = "Mad" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/mad.png";
							}
							elseif( $title == "Confused" )
							{
								$smilies[] = "Confused" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/confused.png";
							}
							elseif( $title == "Cool" )
							{
								$smilies[] = "Cool" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/cool.png";
							}
							elseif( $title == "Stick Out Tongue" )
							{
								$smilies[] = "Stick Out Tongue" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/tongue.png";
							}
							elseif( $title == "Big Grin" )
							{
								$smilies[] = "Big Grin" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/biggrin.png";
							}
							elseif( $title == "Eek!" )
							{
								$smilies[] = "Eek!" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/eek.png";
							}
							elseif( $title == "Oops!" )
							{
								$smilies[] = "Oops!" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/redface.png";
							}
							elseif( $title == "Roll Eyes" )
							{
								$smilies[] = "Roll Eyes" . "|^Z|" . $smilie . "|^Z|" . "styles/default/xenforo/smilies/rolleyes.png";
							}
						}
					}
					$query = @mysqli_query( $sec_db_link, "SELECT title, smilie_text, image_url FROM xf_smilie WHERE sprite_mode = '0'" );
					while( list( $title, $smilie_text, $image_url ) = @mysqli_fetch_row( $query ) )
					{
						$smilie_text_array = explode( "\n", $smilie_text );
						foreach ( $smilie_text_array as $smilie )
						{
							$smilies[] = $title . "|^Z|" . $smilie . "|^Z|" . $image_url;
						}
					}
				}
				else
				{
					$query = @mysqli_query( $sec_db_link, "SELECT title, smilie_text, image_url FROM xf_smilie" );
					while( list( $title, $smilie_text, $image_url ) = @mysqli_fetch_row( $query ) )
					{
						$smilie_text_array = explode( "\n", $smilie_text );
						foreach ( $smilie_text_array as $smilie )
						{
							$smilies[] = $title . "|^Z|" . $smilie . "|^Z|" . $image_url;
						}
					}
				}
				if( $input_website_uwrapper_db_username )
				{
					@mysqli_close( $sec_db_link );
					$database -> dbconnect();
				}

				foreach( $smilies as $smilie )
				{
					list( $title, $smilie, $image_url ) = explode( "|^Z|", $smilie );
					$query = $database -> dbquery( "SELECT smilie_id FROM " . DB_PREFIX . "esselbach_ct_smilies WHERE smilie_command = '" . $database -> dbescape( $smilie ) . "' OR smilie_command = '" . $database -> dbescape( " " . $smilie ) . "' LIMIT 1" );
					if( $database -> dbrows( $query ) )
					{
						list( $smilie_id ) = $database -> dbrow( $query );
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_name = '" . $database -> dbescape( $title ) . "', smilie_active = '1', smilie_command = '" . $database -> dbescape( $smilie ) . "', smilie_image = '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/" . $image_url ) . "', smilie_editadmin = '" . $login_username . "', smilie_editip = '" . $ipaddr . "' WHERE smilie_id = '" . $smilie_id . "'" );
					}
					else
					{
						$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_smilies (smilie_id, smilie_active, smilie_name, smilie_command, smilie_image, smilie_position, smilie_editadmin, smilie_postip, smilie_editip) VALUES (NULL, '1', '" . $database -> dbescape( $title ) . "', '" . $database -> dbescape( $smilie ) . "', '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/" . $image_url ) . "', '0', '" . $login_username . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
						$input_smilieid = $database -> dblastinsert();
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_position = '" . $input_smilieid . "' WHERE smilie_id = '" . $input_smilieid . "'" );
					}
				}
			}
			elseif( $input_website_uwrapper_product == "UBB.threads 7" )
			{
				if( $input_website_uwrapper_forumpath )
				{
					$smilies = array();

					if( $input_website_uwrapper_db_username )
					{
						$database -> dbclose();
						$sec_db_link = @mysqli_connect( $input_website_uwrapper_db_hostname, $input_website_uwrapper_db_username, $input_website_uwrapper_db_password, $input_website_uwrapper_db_database );
					}

					$query = @mysqli_query( $sec_db_link, "SELECT GRAEMLIN_MARKUP_CODE, GRAEMLIN_SMILEY_CODE, GRAEMLIN_IMAGE FROM " . $input_website_uwrapper_prefix . "GRAEMLINS" );
					while( list( $title, $smilie_text, $image_url ) = @mysqli_fetch_row( $query ) )
					{
						$smilies[] = $title . "|^Z|" . $smilie_text . "|^Z|" . $image_url;
					}
					if( $input_website_uwrapper_db_username )
					{
						@mysqli_close( $sec_db_link );
						$database -> dbconnect();
					}

					foreach( $smilies as $smilie )
					{
						list( $title, $smilie, $image_url ) = explode( "|^Z|", $smilie );
						if( !$smilie )
						{
							$smilie = ":" . $title . ":";
						}
						$query = $database -> dbquery( "SELECT smilie_id FROM " . DB_PREFIX . "esselbach_ct_smilies WHERE smilie_command = '" . $database -> dbescape( $smilie ) . "' OR smilie_command = '" . $database -> dbescape( " " . $smilie ) . "' LIMIT 1" );
						if( $database -> dbrows( $query ) )
						{
							list( $smilie_id ) = $database -> dbrow( $query );
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_name = '" . $database -> dbescape( $title ) . "', smilie_active = '1', smilie_command = '" . $database -> dbescape( $smilie ) . "', smilie_image = '" . $database -> dbescape( $input_website_uwrapper_forumpath  . "/images/graemlins/default/" . $image_url ) . "', smilie_editadmin = '" . $login_username . "', smilie_editip = '" . $ipaddr . "' WHERE smilie_id = '" . $smilie_id . "'" );
						}
						else
						{
							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_smilies (smilie_id, smilie_active, smilie_name, smilie_command, smilie_image, smilie_position, smilie_editadmin, smilie_postip, smilie_editip) VALUES (NULL, '1', '" . $database -> dbescape( $title ) . "', '" . $database -> dbescape( $smilie ) . "', '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/images/graemlins/default/" . $image_url ) . "', '0', '" . $login_username . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
							$input_smilieid = $database -> dblastinsert();
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_position = '" . $input_smilieid . "' WHERE smilie_id = '" . $input_smilieid . "'" );
						}
					}
				}
			}
			elseif( $input_website_uwrapper_product == "IP.Board 3" )
			{
				if( $input_website_uwrapper_forumpath )
				{
					$smilies = array();

					if( $input_website_uwrapper_db_username )
					{
						$database -> dbclose();
						$sec_db_link = @mysqli_connect( $input_website_uwrapper_db_hostname, $input_website_uwrapper_db_username, $input_website_uwrapper_db_password, $input_website_uwrapper_db_database );
					}

					$query = @mysqli_query( $sec_db_link, "SELECT typed, image FROM " . $input_website_uwrapper_prefix . "emoticons" );
					while( list( $smilie_text, $image_url ) = @mysqli_fetch_row( $query ) )
					{
						$smilies[] = $smilie_text . "|^Z|" . $image_url;
					}
					if( $input_website_uwrapper_db_username )
					{
						@mysqli_close( $sec_db_link );
						$database -> dbconnect();
					}

					foreach( $smilies as $smilie )
					{
						list( $smilie, $image_url ) = explode( "|^Z|", $smilie );
						$title = str_replace( ".gif", "", $image_url );
						$query = $database -> dbquery( "SELECT smilie_id FROM " . DB_PREFIX . "esselbach_ct_smilies WHERE smilie_command = '" . $database -> dbescape( $smilie ) . "' OR smilie_command = '" . $database -> dbescape( " " . $smilie ) . "' LIMIT 1" );
						if( $database -> dbrows( $query ) )
						{
							list( $smilie_id ) = $database -> dbrow( $query );
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_name = '" . $database -> dbescape( $title ) . "', smilie_active = '1', smilie_command = '" . $database -> dbescape( $smilie ) . "', smilie_image = '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/public/style_emoticons/default/" . $image_url ) . "', smilie_editadmin = '" . $login_username . "', smilie_editip = '" . $ipaddr . "' WHERE smilie_id = '" . $smilie_id . "'" );
						}
						else
						{
							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_smilies (smilie_id, smilie_active, smilie_name, smilie_command, smilie_image, smilie_position, smilie_editadmin, smilie_postip, smilie_editip) VALUES (NULL, '1', '" . $database -> dbescape( $title ) . "', '" . $database -> dbescape( $smilie ) . "', '" . $database -> dbescape( $input_website_uwrapper_forumpath  . "/public/style_emoticons/default/" . $image_url ) . "', '0', '" . $login_username . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
							$input_smilieid = $database -> dblastinsert();
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_position = '" . $input_smilieid . "' WHERE smilie_id = '" . $input_smilieid . "'" );
						}
					}
				}
			}
			elseif( $input_website_uwrapper_product == "phpBB 3" )
			{
				if( $input_website_uwrapper_forumpath )
				{
					$smilies = array();

					if( $input_website_uwrapper_db_username )
					{
						$database -> dbclose();
						$sec_db_link = @mysqli_connect( $input_website_uwrapper_db_hostname, $input_website_uwrapper_db_username, $input_website_uwrapper_db_password, $input_website_uwrapper_db_database );
					}

					$query = @mysqli_query( $sec_db_link, "SELECT emotion, code, smiley_url FROM " . $input_website_uwrapper_prefix . "smilies" );
					while( list( $title, $smilie_text, $image_url ) = @mysqli_fetch_row( $query ) )
					{
						$smilies[] = $title . "|^Z|" . $smilie_text . "|^Z|" . $image_url;
					}
					if( $input_website_uwrapper_db_username )
					{
						@mysqli_close( $sec_db_link );
						$database -> dbconnect();
					}

					foreach( $smilies as $smilie )
					{
						list( $title, $smilie, $image_url ) = explode( "|^Z|", $smilie );
						$query = $database -> dbquery( "SELECT smilie_id FROM " . DB_PREFIX . "esselbach_ct_smilies WHERE smilie_command = '" . $database -> dbescape( $smilie ) . "' OR smilie_command = '" . $database -> dbescape( " " . $smilie ) . "' LIMIT 1" );
						if( $database -> dbrows( $query ) )
						{
							list( $smilie_id ) = $database -> dbrow( $query );
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_name = '" . $database -> dbescape( $title ) . "', smilie_active = '1', smilie_command = '" . $database -> dbescape( $smilie ) . "', smilie_image = '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/images/smilies/" . $image_url ) . "', smilie_editadmin = '" . $login_username . "', smilie_editip = '" . $ipaddr . "' WHERE smilie_id = '" . $smilie_id . "'" );
						}
						else
						{
							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_smilies (smilie_id, smilie_active, smilie_name, smilie_command, smilie_image, smilie_position, smilie_editadmin, smilie_postip, smilie_editip) VALUES (NULL, '1', '" . $database -> dbescape( $title ) . "', '" . $database -> dbescape( $smilie ) . "', '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/images/smilies/" . $image_url ) . "', '0', '" . $login_username . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
							$input_smilieid = $database -> dblastinsert();
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_position = '" . $input_smilieid . "' WHERE smilie_id = '" . $input_smilieid . "'" );
						}
					}
				}
			}
			elseif( $input_website_uwrapper_product == "SMF 1.1" or $input_website_uwrapper_product == "SMF 2" )
			{
				if( $input_website_uwrapper_forumpath )
				{
					$smilies = array();

					if( $input_website_uwrapper_db_username )
					{
						$database -> dbclose();
						$sec_db_link = @mysqli_connect( $input_website_uwrapper_db_hostname, $input_website_uwrapper_db_username, $input_website_uwrapper_db_password, $input_website_uwrapper_db_database );
					}

					$query = @mysqli_query( $sec_db_link, "SELECT description, code, filename FROM " . $input_website_uwrapper_prefix . "smileys" );
					while( list( $title, $smilie_text, $image_url ) = @mysqli_fetch_row( $query ) )
					{
						$smilies[] = $title . "|^Z|" . $smilie_text . "|^Z|" . $image_url;
					}
					if( $input_website_uwrapper_db_username )
					{
						@mysqli_close( $sec_db_link );
						$database -> dbconnect();
					}

					foreach( $smilies as $smilie )
					{
						list( $title, $smilie, $image_url ) = explode( "|^Z|", $smilie );
						$query = $database -> dbquery( "SELECT smilie_id FROM " . DB_PREFIX . "esselbach_ct_smilies WHERE smilie_command = '" . $database -> dbescape( $smilie ) . "' OR smilie_command = '" . $database -> dbescape( " " . $smilie ) . "' LIMIT 1" );
						if( $database -> dbrows( $query ) )
						{
							list( $smilie_id ) = $database -> dbrow( $query );
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_name = '" . $database -> dbescape( $title ) . "', smilie_active = '1', smilie_command = '" . $database -> dbescape( $smilie ) . "', smilie_image = '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/Smileys/default/" . $image_url ) . "', smilie_editadmin = '" . $login_username . "', smilie_editip = '" . $ipaddr . "' WHERE smilie_id = '" . $smilie_id . "'" );
						}
						else
						{
							$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_smilies (smilie_id, smilie_active, smilie_name, smilie_command, smilie_image, smilie_position, smilie_editadmin, smilie_postip, smilie_editip) VALUES (NULL, '1', '" . $database -> dbescape( $title ) . "', '" . $database -> dbescape( $smilie ) . "', '" . $database -> dbescape( $input_website_uwrapper_forumpath . "/Smileys/default/" . $image_url ) . "', '0', '" . $login_username . "', '" . $ipaddr . "', '" . $ipaddr . "')" );
							$input_smilieid = $database -> dblastinsert();
							$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_smilies SET smilie_position = '" . $input_smilieid . "' WHERE smilie_id = '" . $input_smilieid . "'" );
						}
					}
				}
			}

			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_product . "' WHERE preference_key = 'WEBSITE_UWRAPPER_PRODUCT' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_cookieprefix . "' WHERE preference_key = 'WEBSITE_UWRAPPER_COOKIEPREFIX' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_cookiepath . "' WHERE preference_key = 'WEBSITE_UWRAPPER_COOKIEPATH' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_cookiedomain . "' WHERE preference_key = 'WEBSITE_UWRAPPER_COOKIEDOMAIN' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_cookiename . "' WHERE preference_key = 'WEBSITE_UWRAPPER_COOKIENAME' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_group1 . "' WHERE preference_key = 'WEBSITE_UWRAPPER_GROUP1' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_group2 . "' WHERE preference_key = 'WEBSITE_UWRAPPER_GROUP2' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_group3 . "' WHERE preference_key = 'WEBSITE_UWRAPPER_GROUP3' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_group4 . "' WHERE preference_key = 'WEBSITE_UWRAPPER_GROUP4' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_group5 . "' WHERE preference_key = 'WEBSITE_UWRAPPER_GROUP5' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_group6 . "' WHERE preference_key = 'WEBSITE_UWRAPPER_GROUP6' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_customer . "' WHERE preference_key = 'WEBSITE_UWRAPPER_CUSTOMER' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_prefix . "' WHERE preference_key = 'WEBSITE_UWRAPPER_PREFIX' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_forumpath . "' WHERE preference_key = 'WEBSITE_UWRAPPER_FORUMPATH' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_db_hostname . "' WHERE preference_key = 'WEBSITE_UWRAPPER_DB_HOSTNAME' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_db_username . "' WHERE preference_key = 'WEBSITE_UWRAPPER_DB_USERNAME' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_db_password . "' WHERE preference_key = 'WEBSITE_UWRAPPER_DB_PASSWORD' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_db_database . "' WHERE preference_key = 'WEBSITE_UWRAPPER_DB_DATABASE' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_loginname . "' WHERE preference_key = 'WEBSITE_UWRAPPER_LOGINNAME' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_embed . "' WHERE preference_key = 'WEBSITE_UWRAPPER_EMBED' AND preference_website = '" . $input_zid . "'" );
			$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_website_uwrapper_embed_alt . "' WHERE preference_key = 'WEBSITE_UWRAPPER_EMBED_ALT' AND preference_website = '" . $input_zid . "'" );
		}

		if( file_exists( "../includes/preferences.php" ) )
		{
			@unlink( "../includes/preferences.php" );
		}

		$html -> login( $words_core[ 'EDIT_WEBSITE' ], $words_core[ 'WEBSITE_CHANGED' ], "index.php?action=manageforumintegration" );
	}
}
?>